///////////////////////////////////////////////////////////////////////////////
// DialogMale
// Copyright 2001 Running With Scissors, Inc.  All Rights Reserved.
//
// Dialog for all white males
//
// If a new dialog class is added and it references a new sound package
// (like SuperHeroDialog.uax) then in order for those sounds to play on the
// client, you either need a hard reference in the code to one of those files
// Sound'SuperHeroDialog.DieScum', or you need to put that package in the
// ini's with serverpackages (cheesier version).
//
//	History:
//		02/07/02 MJR	Started.
//
///////////////////////////////////////////////////////////////////////////////
class DialogMaleMilitaryMP extends DialogMaleMilitary;


///////////////////////////////////////////////////////////////////////////////
// Fill in this character's lines
///////////////////////////////////////////////////////////////////////////////
function FillInLines()
	{
	// Let super go first
	Super.FillInLines();

	//Clear(lApologize);
	//Addto(lApologize,								"WMaleDialog.wm_imsorry", 1);

	Clear(lGetDownMP);
	AddTo(lGetDownMP,							"WMaleDialog.wm_cop_getdown", 1);
	AddTo(lGetDownMP,							"WMaleDialog.wm_cop_getontheground", 1);
	AddTo(lGetDownMP,							"WMaleDialog.wm_cop_getthefuck", 1);
	AddTo(lGetDownMP,							"WMaleDialog.wm_cop_getdownor", 2);
	AddTo(lGetDownMP,							"WMaleDialog.wm_cop_isaidgetdown", 2);

	// no pissing talking
	//Clear(lPissing);
	//Addto(lPissing,								"WMaleDialog.wm_ahh", 1);
	//Addto(lPissing,								"WMaleDialog.wm_ohyeah", 2);
	//Addto(lPissing,								"WMaleDialog.wm_satisfiedsigh", 2);

	// no pissing myself out talking
	//Clear(lPissOutFireOnSelf);
	//Addto(lPissOutFireOnSelf,					"WMaleDialog.wm_ahh", 1);
	
	//Clear(lGotHealth);
	//Addto(lGotHealth,							"WMaleDialog.wm_ahh", 1);

	//Clear(lGotHealthFood);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_thatwasprettytasty", 1);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_hardtobelievethat", 2);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_heythatwasactually", 2);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_goodgodwhatwasin", 3);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_burp", 3);
	//Addto(lGotHealthFood,						"WMaleDialog.wm_kickass", 3);

	//Clear(lGotCrackHealth);
	//Addto(lGotCrackHealth,						"WMaleDialog.wm_ohyeahthattookayear", 1);
	Addto(lGotCrackHealth,						"WMaleDialog.wm_thatsaloadoff", 2);

	//Clear(lfollowme);
	//Addto(lfollowme,							"WMaleDialog.wm_mil_gogogo", 1);
	//Addto(lfollowme,							"WMaleDialog.wm_mil_moveout", 1);
	//Addto(lfollowme,							"WMaleDialog.wm_mil_huthuthut", 2);
	Addto(lfollowme,							"WMaleDialog.wm_mil_fireatwill", 3);

	//Clear(lStayHere);
	//Addto(lStayHere,							"WMaleDialog.wm_mil_securethearea", 1);

	Clear(lDude_NeedMoreCrackHealth);
	AddTo(lDude_NeedMoreCrackHealth,			"WMaleDialog.wm_idontfeelsogood", 3);
	AddTo(lDude_NeedMoreCrackHealth,			"WMaleDialog.wm_ohmanimgonnabesick", 3);

	Clear(lDude_GotHurtByCrack);	
	AddTo(lDude_GotHurtByCrack,					"WMaleDialog.wm_heythatwasactually", 3);
	}


///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     TestModeClasses(0)="BasePeople.DialogDude"
     TestModeClasses(1)="BasePeople.DialogFemale"
     TestModeClasses(2)="BasePeople.DialogFemaleCop"
     TestModeClasses(3)="BasePeople.DialogGary"
     TestModeClasses(4)="BasePeople.DialogGeneric"
     TestModeClasses(5)="BasePeople.DialogHabib"
     TestModeClasses(6)="BasePeople.DialogKrotchy"
     TestModeClasses(7)="BasePeople.DialogMale"
     TestModeClasses(8)="BasePeople.DialogMaleCop"
     TestModeClasses(9)="BasePeople.DialogMaleMilitary"
     TestModeClasses(10)="BasePeople.DialogPriest"
     TestModeClasses(11)="BasePeople.DialogRedneck"
     TestModeClasses(12)="BasePeople.DialogVince"
}
