class DialogPhraud extends DialogMaleMp;

///////////////////////////////////////////////////////////////////////////////
// Fill in this character's lines
///////////////////////////////////////////////////////////////////////////////
function FillInLines()
{
	// Let super go first
	Super.FillInLines();

        // Taunts for "Get Down" button
	Clear(lGetDownMP);
	Addto(lGetDownMP, "xMaDHeAdZSounds.Phraud.Phraud_CountOf3", 1);
	Addto(lGetDownMP, "xMaDHeAdZSounds.Phraud.Phraud_DontHaveGun", 1);
	Addto(lGetDownMP, "xMaDHeAdZSounds.Phraud.Phraud_GoldMaster_1", 1);
	Addto(lGetDownMP, "xMaDHeAdZSounds.Phraud.Phraud_NotShooting", 2);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Phraud.Phraud_Promise", 2);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Phraud.Phraud_GoldMaster_2", 2);
	
	// Got hit sounds
	Clear(lGrunt);
	AddTo(lGrunt, "xMaDHeAdZSounds.Phraud.Phraud_Help", 1);
	
	// Got hit sounds
	Clear(lGotHit);
	AddTo(lGotHit, "xMaDHeAdZSounds.Phraud.Phraud_Help", 1);
}

defaultproperties
{
     TestModeClasses(0)="BasePeople.DialogDude"
     TestModeClasses(1)="BasePeople.DialogFemale"
     TestModeClasses(2)="BasePeople.DialogFemaleCop"
     TestModeClasses(3)="BasePeople.DialogGary"
     TestModeClasses(4)="BasePeople.DialogGeneric"
     TestModeClasses(5)="BasePeople.DialogHabib"
     TestModeClasses(6)="BasePeople.DialogKrotchy"
     TestModeClasses(7)="BasePeople.DialogMale"
     TestModeClasses(8)="BasePeople.DialogMaleCop"
     TestModeClasses(9)="BasePeople.DialogMaleMilitary"
     TestModeClasses(10)="BasePeople.DialogPriest"
     TestModeClasses(11)="BasePeople.DialogRedneck"
     TestModeClasses(12)="BasePeople.DialogVince"
}
