///////////////////////////////////////////////////////////////////////////////
// Zombie dialog.
///////////////////////////////////////////////////////////////////////////////
class DialogZombieMP extends DialogGeneric;

///////////////////////////////////////////////////////////////////////////////
// Fill in this character's lines
///////////////////////////////////////////////////////////////////////////////
function FillInLines()
	{
	// Let super go first
	Super.FillInLines();

	// Taunts for "Get Down" button
	Clear(lGetDownMP);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Evil.zombie_curse1", 1);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Evil.zombie_curse2", 1);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Evil.zombie_curse3", 1);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Evil.zombie_curse4", 1);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Evil.zombie_curse5", 1);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Evil.zombie_curse6", 1);
	AddTo(lGetDownMP, "xMaDHeAdZSounds.Evil.zombie_curse7", 1);

	// Comment on pissing
	Clear(lPissing);
	AddTo(lPissing, "xMaDHeAdZSounds.Evil.zombie_moan1", 1);
	AddTo(lPissing, "xMaDHeAdZSounds.Evil.zombie_moan2", 1);
	AddTo(lPissing, "xMaDHeAdZSounds.Evil.zombie_moan3", 1);
	AddTo(lPissing, "xMaDHeAdZSounds.Evil.zombie_moan4", 1);
	AddTo(lPissing, "xMaDHeAdZSounds.Evil.zombie_moan5", 1);
	AddTo(lPissing, "xMaDHeAdZSounds.Evil.zombie_moan6", 1);

	// Comment on pissing on yourself
	Clear(lPissOnSelf);
	AddTo(lPissOnSelf, "xMaDHeAdZSounds.Evil.zombie_barf1", 1);
	AddTo(lPissOnSelf, "xMaDHeAdZSounds.Evil.zombie_barf2", 1);
	AddTo(lPissOnSelf, "xMaDHeAdZSounds.Evil.zombie_barf3", 1);

	// Comment on pissing out body fire
	Clear(lPissOutFireOnSelf);
	AddTo(lPissOutFireOnSelf, "xMaDHeAdZSounds.Evil.zombie_moan1", 1);
	AddTo(lPissOutFireOnSelf, "xMaDHeAdZSounds.Evil.zombie_moan2", 1);
	AddTo(lPissOutFireOnSelf, "xMaDHeAdZSounds.Evil.zombie_moan3", 1);
	AddTo(lPissOutFireOnSelf, "xMaDHeAdZSounds.Evil.zombie_moan4", 1);
	AddTo(lPissOutFireOnSelf, "xMaDHeAdZSounds.Evil.zombie_moan5", 1);
	AddTo(lPissOutFireOnSelf, "xMaDHeAdZSounds.Evil.zombie_moan6", 1);

	// Comment on getting health
	Clear(lGotHealth);
	AddTo(lGotHealth, "xMaDHeAdZSounds.Evil.zombie_anger1", 1);
	AddTo(lGotHealth, "xMaDHeAdZSounds.Evil.zombie_anger2", 1);
	AddTo(lGotHealth, "xMaDHeAdZSounds.Evil.zombie_anger3", 1);
	AddTo(lGotHealth, "xMaDHeAdZSounds.Evil.zombie_anger4", 1);
	AddTo(lGotHealth, "xMaDHeAdZSounds.Evil.zombie_anger5", 1);
	AddTo(lGotHealth, "xMaDHeAdZSounds.Evil.zombie_anger6", 1);
	AddTo(lGotHealth, "xMaDHeAdZSounds.Evil.zombie_anger7", 1);
	AddTo(lGotHealth, "xMaDHeAdZSounds.Evil.zombie_anger8", 1);

	// Comment on eating food
	Clear(lGotHealthFood);
	AddTo(lGotHealthFood, "xMaDHeAdZSounds.Evil.zombie_anger1", 1);
	AddTo(lGotHealthFood, "xMaDHeAdZSounds.Evil.zombie_anger2", 1);
	AddTo(lGotHealthFood, "xMaDHeAdZSounds.Evil.zombie_anger3", 1);
	AddTo(lGotHealthFood, "xMaDHeAdZSounds.Evil.zombie_anger4", 1);
	AddTo(lGotHealthFood, "xMaDHeAdZSounds.Evil.zombie_anger5", 1);
	AddTo(lGotHealthFood, "xMaDHeAdZSounds.Evil.zombie_anger6", 1);
	AddTo(lGotHealthFood, "xMaDHeAdZSounds.Evil.zombie_anger7", 1);
	AddTo(lGotHealthFood, "xMaDHeAdZSounds.Evil.zombie_anger8", 1);

	// Comment on smoking crack
	Clear(lGotCrackHealth);
	AddTo(lGotCrackHealth, "xMaDHeAdZSounds.Evil.zombie_anger1", 1);
	AddTo(lGotCrackHealth, "xMaDHeAdZSounds.Evil.zombie_anger2", 1);
	AddTo(lGotCrackHealth, "xMaDHeAdZSounds.Evil.zombie_anger3", 1);
	AddTo(lGotCrackHealth, "xMaDHeAdZSounds.Evil.zombie_anger4", 1);
	AddTo(lGotCrackHealth, "xMaDHeAdZSounds.Evil.zombie_anger5", 1);
	AddTo(lGotCrackHealth, "xMaDHeAdZSounds.Evil.zombie_anger6", 1);
	AddTo(lGotCrackHealth, "xMaDHeAdZSounds.Evil.zombie_anger7", 1);
	AddTo(lGotCrackHealth, "xMaDHeAdZSounds.Evil.zombie_anger8", 1);

	// Follow Me
	Clear(lFollowMe);
	AddTo(lFollowMe, "xMaDHeAdZSounds.Evil.zombie_anger1", 1);
	AddTo(lFollowMe, "xMaDHeAdZSounds.Evil.zombie_anger2", 1);
	AddTo(lFollowMe, "xMaDHeAdZSounds.Evil.zombie_anger3", 1);
	AddTo(lFollowMe, "xMaDHeAdZSounds.Evil.zombie_anger4", 1);
	AddTo(lFollowMe, "xMaDHeAdZSounds.Evil.zombie_anger5", 1);
	AddTo(lFollowMe, "xMaDHeAdZSounds.Evil.zombie_anger6", 1);
	AddTo(lFollowMe, "xMaDHeAdZSounds.Evil.zombie_anger7", 1);
	AddTo(lFollowMe, "xMaDHeAdZSounds.Evil.zombie_anger8", 1);

	// Stay Here
	Clear(lStayHere);
	Addto(lStayHere, "xMaDHeAdZSounds.Evil.zombie_anger1", 1);
	Addto(lStayHere, "xMaDHeAdZSounds.Evil.zombie_anger2", 1);
	Addto(lStayHere, "xMaDHeAdZSounds.Evil.zombie_anger3", 1);
	Addto(lStayHere, "xMaDHeAdZSounds.Evil.zombie_anger4", 1);
	Addto(lStayHere, "xMaDHeAdZSounds.Evil.zombie_anger5", 1);
	Addto(lStayHere, "xMaDHeAdZSounds.Evil.zombie_anger6", 1);
	Addto(lStayHere, "xMaDHeAdZSounds.Evil.zombie_anger7", 1);
	Addto(lStayHere, "xMaDHeAdZSounds.Evil.zombie_anger8", 1);

	// Fuck you, bite me, etc.
	Clear(ldefiantline);
	AddTo(lDefiantLine, "xMaDHeAdZSounds.Evil.zombie_curse1", 1);
	AddTo(lDefiantLine, "xMaDHeAdZSounds.Evil.zombie_curse2", 1);
	AddTo(lDefiantLine, "xMaDHeAdZSounds.Evil.zombie_curse3", 1);
	AddTo(lDefiantLine, "xMaDHeAdZSounds.Evil.zombie_curse4", 1);
	AddTo(lDefiantLine, "xMaDHeAdZSounds.Evil.zombie_curse5", 1);
	AddTo(lDefiantLine, "xMaDHeAdZSounds.Evil.zombie_curse6", 1);
	AddTo(lDefiantLine, "xMaDHeAdZSounds.Evil.zombie_curse7", 1);

	// Got hit sounds
	Clear(lGrunt);
	addto(lGrunt, "xMaDHeAdZSounds.Evil.zombie_pain1", 1);
	addto(lGrunt, "xMaDHeAdZSounds.Evil.zombie_pain2", 1);
	addto(lGrunt, "xMaDHeAdZSounds.Evil.zombie_pain3", 1);
	addto(lGrunt, "xMaDHeAdZSounds.Evil.zombie_pain4", 1);
	addto(lGrunt, "xMaDHeAdZSounds.Evil.zombie_pain5", 1);
	addto(lGrunt, "xMaDHeAdZSounds.Evil.zombie_pain6", 1);

	// Got hit sounds
	Clear(lGotHit);
	addto(lGotHit, "xMaDHeAdZSounds.Evil.zombie_pain1", 1);
	addto(lGotHit, "xMaDHeAdZSounds.Evil.zombie_pain2", 1);
	addto(lGotHit, "xMaDHeAdZSounds.Evil.zombie_pain3", 1);
	addto(lGotHit, "xMaDHeAdZSounds.Evil.zombie_pain4", 1);
	addto(lGotHit, "xMaDHeAdZSounds.Evil.zombie_pain5", 1);
	addto(lGotHit, "xMaDHeAdZSounds.Evil.zombie_pain6", 1);

	Clear(lDude_GotHurtByCrack);
	addto(lDude_GotHurtByCrack, "xMaDHeAdZSounds.Evil.zombie_pain1", 1);
	addto(lDude_GotHurtByCrack, "xMaDHeAdZSounds.Evil.zombie_pain2", 1);
	addto(lDude_GotHurtByCrack, "xMaDHeAdZSounds.Evil.zombie_pain3", 1);
	addto(lDude_GotHurtByCrack, "xMaDHeAdZSounds.Evil.zombie_pain4", 1);
	addto(lDude_GotHurtByCrack, "xMaDHeAdZSounds.Evil.zombie_pain5", 1);
	addto(lDude_GotHurtByCrack, "xMaDHeAdZSounds.Evil.zombie_pain6", 1);
}

defaultproperties
{
     TestModeClasses(0)="BasePeople.DialogDude"
     TestModeClasses(1)="BasePeople.DialogFemale"
     TestModeClasses(2)="BasePeople.DialogFemaleCop"
     TestModeClasses(3)="BasePeople.DialogGary"
     TestModeClasses(4)="BasePeople.DialogGeneric"
     TestModeClasses(5)="BasePeople.DialogHabib"
     TestModeClasses(6)="BasePeople.DialogKrotchy"
     TestModeClasses(7)="BasePeople.DialogMale"
     TestModeClasses(8)="BasePeople.DialogMaleCop"
     TestModeClasses(9)="BasePeople.DialogMaleMilitary"
     TestModeClasses(10)="BasePeople.DialogPriest"
     TestModeClasses(11)="BasePeople.DialogRedneck"
     TestModeClasses(12)="BasePeople.DialogVince"
}
