///////////////////////////////////////////////////////////////////////////////
// DialogMale
// Copyright 2001 Running With Scissors, Inc.  All Rights Reserved.
//
// Dialog for all white males
//
// If a new dialog class is added and it references a new sound package
// (like SuperHeroDialog.uax) then in order for those sounds to play on the
// client, you either need a hard reference in the code to one of those files
// Sound'SuperHeroDialog.DieScum', or you need to put that package in the
// ini's with serverpackages (cheesier version).
//
//	History:
//		02/07/02 MJR	Started.
//
///////////////////////////////////////////////////////////////////////////////
class DialogRedneckMP extends DialogRedneck;


///////////////////////////////////////////////////////////////////////////////
// Fill in this character's lines
///////////////////////////////////////////////////////////////////////////////
function FillInLines()
	{
	// Let super go first
	Super.FillInLines();

	//Clear(lApologize);
	//Addto(lApologize,								"WMaleDialog.wm_imsorry", 1);

	//Clear(lGetDownMP);
	//Addto(lGetDownMP,							"RedneckDialog.redneck_imgonnamake", 1);
	//Addto(lGetDownMP,							"RedneckDialog.redneck_taunt1", 1);
	//Addto(lGetDownMP,							"RedneckDialog.redneck_whosfirst", 1);
	Addto(lGetDownMP,							"RedneckDialog.redneck_letsopenhis", 3);

	// no pissing talking
	//Clear(lPissing);
	//Addto(lPissing,								"WMaleDialog.wm_ahh", 1);
	//Addto(lPissing,								"WMaleDialog.wm_ohyeah", 2);
	//Addto(lPissing,								"WMaleDialog.wm_satisfiedsigh", 2);

	// no pissing myself out talking
	//Clear(lPissOutFireOnSelf);
	//Addto(lPissOutFireOnSelf,					"WMaleDialog.wm_ahh", 1);
	
	//Clear(lGotHealth);
	//Addto(lGotHealth,							"RedneckDialog.redneck_whoop1", 1);
	//Addto(lGotHealth,							"RedneckDialog.redneck_yahoo1", 1);
	//Addto(lGotHealth,							"RedneckDialog.redneck_whoop2", 2);
	//Addto(lGotHealth,							"RedneckDialog.redneck_yahoo2", 2);

	//Clear(lGotHealthFood);
	//Addto(lGotHealthFood,						"RedneckDialog.redneck_whoop1", 1);
	//Addto(lGotHealthFood,						"RedneckDialog.redneck_yahoo1", 1);
	//Addto(lGotHealthFood,						"RedneckDialog.redneck_whoop2", 2);
	//Addto(lGotHealthFood,						"RedneckDialog.redneck_yahoo2", 2);

	//Clear(lGotCrackHealth);
	//Addto(lGotCrackHealth,						"RedneckDialog.redneck_yeehaw1", 1);
	//Addto(lGotCrackHealth,						"RedneckDialog.redneck_yeehaw2", 2);

	//Clear(lFollowMe);
	//Addto(lFollowMe,							"RedneckDialog.redneck_yeehaw1", 1);
	//Addto(lFollowMe,							"RedneckDialog.redneck_yeehaw2", 1);

	//Clear(lStayHere);
	//Addto(lStayHere,							"WMaleDialog.wm_cop_stoprightthere", 1);

	Clear(lDude_GotHurtByCrack);	
	AddTo(lDude_GotHurtByCrack,					"RedneckDialog.redneck_ak", 3);
	}


///////////////////////////////////////////////////////////////////////////////
// Default properties
///////////////////////////////////////////////////////////////////////////////

defaultproperties
{
     TestModeClasses(0)="BasePeople.DialogDude"
     TestModeClasses(1)="BasePeople.DialogFemale"
     TestModeClasses(2)="BasePeople.DialogFemaleCop"
     TestModeClasses(3)="BasePeople.DialogGary"
     TestModeClasses(4)="BasePeople.DialogGeneric"
     TestModeClasses(5)="BasePeople.DialogHabib"
     TestModeClasses(6)="BasePeople.DialogKrotchy"
     TestModeClasses(7)="BasePeople.DialogMale"
     TestModeClasses(8)="BasePeople.DialogMaleCop"
     TestModeClasses(9)="BasePeople.DialogMaleMilitary"
     TestModeClasses(10)="BasePeople.DialogPriest"
     TestModeClasses(11)="BasePeople.DialogRedneck"
     TestModeClasses(12)="BasePeople.DialogVince"
}
