class MutClassConvert extends xMutator
	config;

struct ClassConversion
{
	var config string OldClass, NewClass;
};

var config array<ClassConversion> Conversions;

/*function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
	local Info Inter;
	// Check players
	if (PlayerController(Other) != None)
	{
		Inter = Spawn(class'Interceptor', Other);
		if (Inter == None)
			warn("Couldn't spawn an Interceptor for" @ Other);
	}
}*/

/*static final function string ReplaceText(coerce string Text, coerce string Replace, coerce string With)
{
    local int i;
    local string Output;

    i = InStr(Text, Replace);
    while (i != -1) {
        Output = Output $ Left(Text, i) $ With;
        Text = Mid(Text, i + Len(Replace));
        i = InStr(Text, Replace);
    }
    Output = Output $ Text;
    return Output;
}*/

//------------------------------------------------------------------------------
// Player start functions

//
// Grab the next option from a string.
//
function bool GrabOption( out string Options, out string Result )
{
	if( Left(Options,1)=="?" )
	{
		// Get result.
		Result = Mid(Options,1);
		if( InStr(Result,"?")>=0 )
			Result = Left( Result, InStr(Result,"?") );

		// Update options.
		Options = Mid(Options,1);
		if( InStr(Options,"?")>=0 )
			Options = Mid( Options, InStr(Options,"?") );
		else
			Options = "";

		return true;
	}
	else return false;
}

//
// Break up a key=value pair into its key and value.
//
function GetKeyValue( string Pair, out string Key, out string Value )
{
	if( InStr(Pair,"=")>=0 )
	{
		Key   = Left(Pair,InStr(Pair,"="));
		Value = Mid(Pair,InStr(Pair,"=")+1);
	}
	else
	{
		Key   = Pair;
		Value = "";
	}
}

/* ParseOption()
 Find an option in the options string and return it.
*/
function string ParseOption( string Options, string InKey )
{
	local string Pair, Key, Value;
	while( GrabOption( Options, Pair ) )
	{
		GetKeyValue( Pair, Key, Value );
		if( Key ~= InKey )
			return Value;
	}
	return "";
}

function ModifyLogin(out string Portal, out string Options)
{
	local string DesiredClass, NewClass;
	local int i;

        NewClass = "";
	DesiredClass = ParseOption(Options, "Class");
	for (i=0; i<Conversions.Length; i++)
		if (DesiredClass ~= Conversions[i].OldClass)
			NewClass = Conversions[i].NewClass;
			
	if (NewClass == "")
		NewClass = DesiredClass;
		
	ReplaceText(Options, DesiredClass, NewClass);

	if ( NextMutator != None )
		NextMutator.ModifyLogin(Portal, Options);
}

defaultproperties
{
     Conversions(0)=(OldClass="MultiStuff.MpBandmember",NewClass="xMaDHeAdZChars.xMpBandmemberM")
     Conversions(1)=(OldClass="MultiStuff.MpBum",NewClass="xMaDHeAdZChars.xMpBum")
     Conversions(2)=(OldClass="MultiStuff.MpButcher",NewClass="xMaDHeAdZChars.xMpButcher")
     Conversions(3)=(OldClass="MultiStuff.MpCop",NewClass="xMaDHeAdZChars.xMpCopWM")
     Conversions(4)=(OldClass="MultiStuff.MpDude",NewClass="xMaDHeAdZChars.xMpDude")
     Conversions(5)=(OldClass="MultiStuff.MpFanatic",NewClass="xMaDHeAdZChars.xMpFanatic")
     Conversions(6)=(OldClass="MultiStuff.MpGary",NewClass="xMaDHeAdZChars.xMpGary")
     Conversions(7)=(OldClass="MultiStuff.MpGimp",NewClass="xMaDHeAdZChars.xMpGimp")
     Conversions(8)=(OldClass="MultiStuff.MpHabib",NewClass="xMaDHeAdZChars.xMpHabib")
     Conversions(9)=(OldClass="MultiStuff.MpMilitary",NewClass="xMaDHeAdZChars.xMpMilitary")
     Conversions(10)=(OldClass="MultiStuff.MpParcelWorker",NewClass="xMaDHeAdZChars.xMpParcelworkerM")
     Conversions(11)=(OldClass="MultiStuff.MpPriest",NewClass="xMaDHeAdZChars.xMpPriest")
     Conversions(12)=(OldClass="MultiStuff.MpRedneck",NewClass="xMaDHeAdZChars.xMpRedneck")
     Conversions(13)=(OldClass="MultiStuff.MpRobber",NewClass="xMaDHeAdZChars.xMpRobber")
     Conversions(14)=(OldClass="MultiStuff.MpRWS",NewClass="xMaDHeAdZChars.xMpRWS")
     Conversions(15)=(OldClass="MultiStuff.MpSWAT",NewClass="xMaDHeAdZChars.xMpSWAT")
     Conversions(16)=(OldClass="MultiStuff.MpUncleDave",NewClass="xMaDHeAdZChars.xMpUncleDave")
}
